Предотвратить .пакет обновления

Я утверждаю, пакет на Launchpad, которая выпускает приблизительно каждый месяц. Однако наша новая версия не совместима с предыдущей версией, из-за каких-то принципиальных изменений. Так что версия 2.8 не должен быть повышен до 2,9. Я специально хочу предотвратить пользователей от обновления до 2.9 по ошибке. Вместо этого, если они хотят модернизации, они должны быть вынуждены apt-получить удалить, а потом apt-получить установку для получения новой установки.

Есть ли способ указать это в описании пакета? Или мне лучше создать отдельный репозиторий или изменение имени пакета?

+353
Hikkigamer 24 июн. 2016 г., 7:57:48
30 ответов

Показать предлагает для всех пакетов, установленных в один-лайнер:

архив запросов -Ш -Ф='${пакет} (состояние: ${состояние}) предлагает: ${предлагает} \\Н' 
 статус | команда grep': установите в порядке, установленных' | команда grep -v с 'предполагает: $'

Он запрашивает в базе данных dpkg, списки все локально известные пакеты, кроме "ничего" (кроме списков удалили), в пользовательский формат, затем фильтруют для действительно установленные пакеты и фильтруют пакеты без предлагает.

+976
Iven Mo 03 февр. '09 в 4:24

Это странно и я извиняюсь, если это дубликат вопрос, я посмотрел, но не мог найти ответа. Я обновился до 12.10 и он работает с той стороны, что мне придется использовать открытый драйвер ATI, потому что моя карта не поддерживается больше, поэтому я хочу установить 12.04 вместе с 12.10, но использовать тот же раздел. Это безопасно и даже желательно?

+972
sdafsd 10 янв. 2015 г., 10:08:20

Быстро будет с помощью API Launchpad, чтобы выполнять эти действия.

Вручную их делать, можно перейти к странице проекта на Launchpad, пойти в серию, которые вы хотите создать рубеж/выпуск На (скорее багажнике, если у вас нет нескольких рядов, чтобы управлять), и выбрать "Создать событие" или "создать релиз" на одной странице. Создание релиза требует создания новой вехой, если вы не существуете, и вы можете сделать это с создания пользовательского интерфейса релиза. Если веха уже существует, вы можете перейти на страницу, для этого конкретного события, и нажмите кнопку "отпустите" его, или из списка вех. После создания релиза, сама страница релиз будет иметь ссылку "Загрузить файл".

Для этого из терминала, вы можете взять lptools от БЗР, с БЗР филиал ЛВ:lptools и использовать ЛП-проект-загрузить , содержащихся в, чтобы загрузить файл в проект. Он может загрузить файл в проект, и создать новую веху и выпуск для загрузки. Я не уверен, если это позволяет загружать в существующий рубеж, или загрузить дополнительные файлы в существующий вехой, хотя.

+930
bluenote10 27 апр. 2017 г., 12:13:45

Этот метод я успешно использовал с 9.10 по 10.10 по монтажу акций с использованием fstab следующие действия.

  1. Убедитесь, что у вас пакеты smbfs установлен первым.

  2. Создать новую папку(ы) для монтажа долю в терминале, например, судо команды mkdir /СМИ/my_share

  3. Открываем файл fstab в gedit gksudo команду Gedit /и т. д./fstab можно также в терминале

  4. Добавить одну строку на акцию примеру музыка, фильмы, ТВ и т. д

    //192.168.1.102/имя_папки /СМИ/my_share Киф учетные данные=/корень/.smbcredentials,iocharset=кодировке utf8,file_mode=0777,для dir_mode=0777 0 0
    

    очевидно, изменяя IP-адрес, имя ресурса и my_share в соответствующие папки

  5. Наконец создать скрытый .smbcredentials файл в корень и открыть его в gedit

    gksudo команду gedit /корень/.smbcredentials
    

    и добавить эти строки в новый файл

    имя пользователя=Пользователь
    пароль=thepass
    

    если у вас нет пароля по акции, то оставляйте поле пустым и если у вас много разных паролей поделиться, то создайте несколько файлов учетных данных.

    затем вам нужно будет изменить владельца файла идентификационных данных

    судо команду chmod 700 /корень/.smbcredentials
    

после того, как все это на месте вы сможете проверить свою программу установки, введя команду sudo гора -это в терминале и ваши акции будет смонтирован.

отныне они будут автоматически подключаться при входе в систему.

+873
Channel 30 сент. 2013 г., 6:31:09

Согласно блоге didrocks писал, он сказал, что единство-это сейчас заморожено, за исключением принятых изменений (или что-то в этом роде).

Значит ли это, что единство 5.0 содержит все изменения для 12.04?

+858
Muttface 21 апр. 2016 г., 3:36:34

Возможно, попробовать резервное копирование файла/etc/php5 С, затем делают

суда apt-получить продувки пакета php5-общего пакета libapache2-mod-в версии PHP5 и php5-MySQL и

Это удалит все ваши конфигурации для этих пакетов. Затем повторно установить их

судо apt-получить установку пакета libapache2-mod-в версии PHP5 и php5-MySQL и

Это должно положить свежие конфиги для этих модулей на место. Затем вы можете сравнивать то, что есть на резервную копию файла/etc/php5 С и, вероятно, выяснить, в чем проблема.

+786
Rick Abell 24 авг. 2014 г., 11:24:43

/дома - это только, как правило, используется, когда пользователи находятся в системе. Пользователь root /корень домой специально, чтобы пользователь root не зависит от дополнительных точек монтирования.

Включить корневого авторизации SSH

Для Ubuntu это означает, что вы должны дать корневой пароль для входа в систему по протоколу SSH:

https://help.ubuntu.com/community/RootSudo#Enabling учетной записи root

Учесть, что корневая учетная запись может быть отключен от доступа SSH по умолчанию, проверьте настройки в файле/etc/протокол ssh/sshd_config в:

Настроен с параметром да

Пользователей выход из системы и предотвратить новые логины

Выгонять пользователей в многопользовательской среде обычно изменения на уровне одного пользователя запустить 1. Тем не менее, это довольно много, консоли или последовательный порт, единственная задача как министра внутренних дел Великобритании по умолчанию настроен только для уровней 2, 3, 4, и 5, и что вы, вероятно, потеряете СШ связи.

http://www.debianadmin.com/debian-and-ubuntu-linux-run-levels.html

Не столь прекрасной альтернативой является разумное использование команду killall --пользователей , но должно применяться к каждому пользователю. Нужно убить только логин (псевдо) процесс терминалов и более утонченный подход можно применить, например:

умение-убивать -в /Дев/ПТС/*

Следующая проблема-это запретить пользователям непосредственное вход. Вы можете создать файл в/etc/nologin , чтобы предотвратить вход пользователей в систему, вы должны убедиться, pam_nologin.так включена в Linux для всех пам методы, такие как SSH:

http://www.novell.com/support/dynamickc.do?cmd=show&forward=nonthreadedKC&docType=kc&externalId=7007116&sliceId=1

Это также предусмотрено выключение -к команды:

-K только посылать предупреждающие сообщения и отключить логины, не на самом деле привести систему вниз.

Наконец

Вы можете размонтировать /дома.

+725
Jonah1289 30 апр. 2016 г., 2:54:00

Я в Ubuntu новичок. Я только что установил Ubuntu параллельно с Windows 7. Я двойную загрузку. Но что интересно, это куда же Убунту установить и сколько места раздел Убунту используете прямо сейчас? Я, например, не установки разделы для /, /домаи т. д. Установки завершения установки ничего не оповестив меня.

+723
nynexman4464 17 окт. 2011 г., 19:51:22

По данным WineDB Windows медиа плеер 11 не может работать должным образом с помощью вина.

Он был оценен как мусор это означает, что даже если вы можете запустить его, он не будет стабильным / полезная.

Есть альтернатива, я рекомендую вам использовать Windows медиа плеер 10, которая должна установить и работать (с ограниченными возможностями) с использованием вина.

Вы можете скачать Проигрыватель Windows 10 от Microsoft здесь.

+705
BioMed 23 окт. 2010 г., 2:44:32

Попробуйте установить последнюю версию драйверов NVIDIA, используя следующие:

судо дополнения кв-репозиторий PPA:Ubuntu в-Х-СОБР/х-обновления
судо apt-получить обновление
судо apt-получить установку для NVIDIA-текущая
+701
apone 23 янв. 2017 г., 21:51:35

Загрузиться с Live-носителя, так что никаких перегородок монтируются. Умение жить продлить разделов большой бонус с помощью LVM.

Если вы используете что-то вроде resize2fs , вы должны быть в состоянии сделать это без средств массовой информации.

Пока ваш инструмент делает соответствующий размер, вы должны сохранить все ваши файлы. Вот почему я предпочитаю CLI для важных операций над графическими инструментами. Вы никогда не знаете точно, что они делают.

+674
cryocaustik 24 июн. 2015 г., 22:51:02

Когда вы сжать раздел, другие разделы не затрагиваются.

Таким образом, раздел подкачки может использоваться совместно с Федора.

На самом деле, так как будут загружаться только одна операционная система, раздел подкачки может быть разделена между любым количеством операционных систем.

Раздел подкачки будет оставаться неповрежденной, так как она не имеет ничего общего с раздела с Ubuntu.

После сжатия раздела с Ubuntu, вы получите раздел с Ubuntu (с меньшим дисковым пространством) и немного свободного места.

+650
Kanstantsin 20 янв. 2010 г., 18:07:34

Держать ленту утка.

(Или удалить драйвер, см. lsmod выводит имя.)

+649
Chaudhry 16 нояб. 2013 г., 16:58:50

Дело в том, что я установил Ubuntu 12.04, Ява (для Eclipse) в Eclipse, Руби, Руби драгоценные камни, рельсы. Все прошло гладко. Когда я пытался подготовить Eclipse для Ruby на Rails, я установил Руби плагин Дев кит. Это сработало, но RadRails не с этой ошибки:

Не смогли завершить установку, потому что одно или несколько обязательных элементов не может быть найден.
В настоящее время установлено программное обеспечение: орг.radrails.рельсы-характеристика 0.7.2 (орг.radrails.rails_feature.характеристика.группа 0.7.2)
Отсутствует требование: рельсы заглушку-в 0.7.2 (орг.radrails.рельсы.основной 0.7.2) требует пакета орг.затмение.обновления.основной 0.0.0-но он не может быть найден
Не может удовлетворить зависимости:
От: орг.radrails.рельсы-характеристика 0.7.2 (орг.radrails.rails_feature.характеристика.группа 0.7.2)
В: орг.radrails.рельсы.ядро [0.7.2]
+636
Axeman 27 нояб. 2017 г., 1:29:39

К сожалению я не могу помочь решить проблему, но если вы должны повторно установить PostGIS, вы можете найти этот скрипт полезным

#!/бин/Баш-х

комплект -дома

apt-получить установку -г в PostgreSQL-9.1 помощью apache2 на Python-setuptools в PostgreSQL-сервер-Дев-9.1 в PostgreSQL-9.1-с PostGIS с PostGIS добавления libproj-Дев в gdal-ОГРН ГИТ распаковать

#==================================================#
установка # шаблон posgis для PostgreSQL
#==================================================#
География=0
POSTGIS_SQL=с PostGIS.в SQL

если [ -д "/usr/доли/в PostgreSQL/9.1/ВНО/с PostGIS-1.5" ]
тогда
POSTGIS_SQL_PATH=/usr/доли/в PostgreSQL/9.1/ВНО/с PostGIS-1.5
География=1
интернет

Су Постгреса -с "createdb используется -Е в формате utf8 template_postgis" && \
Су Постгреса -с "( createlang -д template_postgis -л plpgsql | грэп || createlang -д template_postgis plpgsql )" && \
Су и postgres -c "в команду psql-д Постгреса -с \"обновление pg_database набор datistemplate='правда', где datname='template_postgis';\"" && \
Су и postgres -c "в команду psql-д template_postgis -Ф $POSTGIS_SQL_PATH/$POSTGIS_SQL" && \
Су и postgres -c "в команду psql-д template_postgis -Ф $POSTGIS_SQL_PATH/spatial_ref_sys данными.в SQL" && \
Су и postgres -c "в команду psql-д template_postgis -с \"предоставить все по таблицам geometry_columns для общественности;\"" && \
Су и postgres -c "в команду psql-д template_postgis -с \"предоставить все на spatial_ref_sys данными для общественности;\""

если [ $география -экв 1 ]
тогда
 Су и postgres -c "в команду psql-д template_postgis -с \"предоставить все на geography_columns для общественности;\""
интернет

Вы, вероятно, придется запустить его с помощью sudo.

+633
Aalekh Bista 9 мар. 2010 г., 3:58:17
oneconf-запрос --список --хозяева

Это даст вам список всех зарегистрированных хозяев, включая дубликаты, которые имеют разные hostids, хотя все они имеют одинаковые имена. Запишите те, которые вы хотите удалить, а затем ......

oneconf-запрос --скрывать-инвентаря-адрес узла=bigfrigginglong32digitmachineid!

Вы найдете записи, связанные с этим идентификатором машина уже не в списке порожденных первой команды, а когда программа-центр перезапустить, то он исчезнет оттуда также. Я предполагаю, что это можно сделать только из командной строки сейчас.

+598
Q the Platypus 30 нояб. 2016 г., 14:44:28

По какой причине в Ubuntu не устанавливает grub2 загрузчик при установке этой ОС. Так что теперь вас осталось с загрузчика Windows.

Решение: загрузиться в режиме Live. (Выберите 'Попробовать Ubuntu') Затем выполните действия, указанные здесь:

http://ubuntuforums.org/showthread.php?t=1581099

Это длинный пост, но определенно стоит прочитать соответствующие части. Так что даже в будущем это очень поможет.

+594
xvronny 23 апр. 2016 г., 13:39:15

Там опечатка по Вашему поручению, от /etc/chroot-окружение/chroot-окружении.д/Харди-i386, который вы используете /СРВ/изолированной/Харди-i386 , в то время как для команды mkdir/ядро вы используете hardy_i386 для каталога. Это объясняет ошибку.

Я просто исправил путь в /etc/chroot-окружение/chroot-окружении.д/Харди-для i386, проверял, он работал, как ожидалось.

+471
An Nguyen 6 окт. 2016 г., 18:20:28

Этот ответ с форума Убунту решить проблему esasily:

http://ubuntuforums.org/showthread.php?t=2077423

"Установить дополнительное программное обеспечение, необходимое для использования этого формата" сообщение видел ворбис кодирование-это ошибка. Установлены все необходимые библиотеки по умолчанию, как ворбис кодирование в РБ. (если вы взяли это используют по умолчанию в Ubuntu'

Чтобы получить сообщение, чтобы исчезнуть вы должны выбирать настраиваемый параметр" & установить качество, затем закройте и откройте РБ (по умолчанию в GNOME по умолчанию 3 Ubuntu-это качество 6 или вы можете установить как желаемую, выше лучшее качество

+459
Potte 31 июл. 2018 г., 11:38:36

Обычно это происходит потому что у вас неправильно настроен БИОС на Думаю, у вас есть флоппи-дисковод, когда вы не. Исправьте настройки BIOS.

+350
Roger Ng 26 дек. 2013 г., 1:57:29

Я использую Ubuntu 12.04, так как он был выпущен в апреле прошлого года. (Я обновил до 12.10 в октябре.)

Вдруг он начал бегать очень очень плохо, действуют так, как будто я был через слишком много оперативной памяти или насыщая мой процессор. Система проводит мониторинг и топ вроде не подтверждают это; я был только около 30% из моей памяти и процессора.

Окна начали седеющие в случайном порядке и часто, и система полностью заморозила несколько раз. Я поняла, что это был какой-то хлам, я был возиться с в течение года, так что я поддержал мои данные и форматировать, потом заново установил. После загрузки обратно, я увидел, что проблемы сохраняются.

Информация о системе:

  • Белая коробка ПК
  • Корпорация Intel Сердечником2 Дуо е8400
  • 4 ГБ памяти DDR2 800МГц
  • NVIDIA видеокарты GeForce 8800 ГТС
  • В Ubuntu 12.10 64-битной

Дайте мне знать, если вам нужна дополнительная информация. Любой и вся помощь приветствуется.

+323
Zeus Ganikas 8 окт. 2010 г., 2:38:18

К сожалению, чтобы возродить эту тему, но я написал ответ здесь , что может быть полезным для тех, кто страдает от этой проблемы...

+297
MelanzanaRipiena 28 июн. 2017 г., 6:52:15

Я прочитал много страниц помогать по вопросы монтажа SD карты, и т. д.

Я не знаю, относятся ли они к моей ситуации или нет.

Что первая команда я должен ввести в терминале, чтобы проверить, если мой читатель SD-карта установлена?

Я работаю с Линукс Минт 13.

+218
juliancardz 13 дек. 2012 г., 14:36:46

Я на Ubuntu 12.04 (64Б) и купил Машинариум некоторое время назад. Я играл без проблем на несколько дней и снова хотел играть сегодня. Однако, когда я пытаюсь играть, я получил эту ошибку:

./Машинариум: ошибка при загрузке разделяемых библиотек: libgtk-X11 в-2.0.так.0: невозможно открыть разделяемый объектный файл: нет такого файла или каталога

Как я могу решить это?

+208
ccITguy 31 дек. 2017 г., 17:09:58

Удаление метаданных-это очень радикальный способ - по сути, он убивает рабочее пространство (вот почему вы должны повторно импортировать проекты).

Более щадящий способ-запустить Eclipse с -Чистый флаг:

затмение -чистый
+135
Moustafa Mahmoud 18 окт. 2016 г., 21:25:26

Я недавно модернизировал свой аппаратный в то же время я обновления с 12.04 на 13.04, но я не думаю, что это исходит от самого обновления 13.04.

Я постоянно слышу глючный, статические-й звук выходит из динамиков подключен непосредственно к материнской плате (без звуковой карты). Кажется, звук становится хуже, когда я двигаю мышкой, прокручивать страницы или компьютере, кажется, делает работу (т. е. обновление веб-страницы).

Это не остановка, отключение громкости в Ubuntu, я должен закрыть динамики, чтобы сделать его остановить.

+96
Bawantha Bandara 30 дек. 2014 г., 1:18:43

Если ваша система загружается, операционной системы, расположенные в каждой секции, вероятно, автоматически проверять жесткий диск на наличие коррупции. Раздел Таблица сканируется, и если вы действительно хотите, чтобы проверить все, вы можете запустить проверку для проверки файловой системы проблемы.

Предполагая, что вы хотели только 4 ГБ для Ubuntu, все это выглядит хорошо. Это небольшие выделения, хотя, и вы можете нарваться на неприятности с установкой пакетов, которые вы хотите.

+66
Motsel 1 сент. 2010 г., 17:38:39

Я думал, что бег также вы без каких-либо следующих аргументов удаляет все неиспользуемые зависимости остается в системе, во время работы также вы ХХХ ХХХ удаляет неиспользуемые и его зависимостей.

Однако я обнаружил обратное. Бег также вы ХХХ не только удаляет ХХХ и неиспользуемых зависимостей, он также удаляет все неиспользуемые зависимости.

Затем я попытался запустить apt-получить удалить --авто-удалить ХХХ, думая, что это будет удалить только ХХХ и неиспользуемых зависимостей. К моему удивлению, это также удалены ХХХ, его неиспользуемых зависимостей, а также всеми прочими неиспользованными зависимостей.

Это приводит меня к двум смежным вопросам.

(1) это целевое поведение команды?

(2) есть простой способ, чтобы удалить ХХХ и неиспользуемых зависимостей без удаления других неиспользуемых зависимостей?

(Похоже, что профпригодность удалить также ведет себя аналогичным образом.)

+52
sergun37 10 авг. 2014 г., 16:33:04

Похоже, у вас неправильный набор клавиатуры. Раскладка клавиатуры меняется в разных странах и у меня есть " на смену+2; это значение по умолчанию в Великобритании.

Вы спросили, какие раскладки клавиатуры вы хотели, когда вам установлен, но я думаю, что это по умолчанию клавиатура Великобритании. К счастью, вам не нужно переустанавливать, чтобы изменить его.

Из меню выберите "настройки" > "Клавиатура и мышь"

В приложение, которое открывает выберите "клавиатура" на вкладке и нажмите кнопку lxkeymap как показано

img

При этом откроется новое окно

img2

Здесь вы можете выбрать раскладку клавиатуры, которая соответствует вашему компьютеру и выберите применить.

Работа сделана, новые настройки будут запомнены.

+33
buck54321 29 мар. 2012 г., 0:13:14

Я не могу зайти даже в BIOS? Потом что-то не так с оборудованием - я рекомендую ставить его в компьютерный сервис. Может быть, материнская плата сломана.

+24
naerias 28 июн. 2016 г., 7:49:38

Показать вопросы с тегом